# TODO add option to remove dependencies

%define gcversion gc6.3
%define Summary   Pager that can also be used as textbased webbrowser

Summary:        %{Summary}
Name:           w3m
Version:        0.5.3
Release:        %mkrel 5
Group:          Networking/WWW
License:        MIT-like
URL:            http://w3m.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/w3m/%{name}-%{version}.tar.gz
Source2:        w3mconfig
# let help handle japanese
Patch0:         w3m-0.4.1-helpcharset.patch
# port to gcc4
Patch2:         w3m-0.5.1-gcc4.patch
# fix string format error
Patch4:		w3m-0.5.2-literal.patch
# fix name conflict
Patch5:		w3m-0.5.3-file_handle.patch
# fix build with GC 7.2 (Taken from LFS)
Patch6:		w3m-0.5.3-gc72.patch
# Fix build
Patch7:		w3m-0.5.3-x11.patch
Provides:       webclient
BuildRequires:  gpm-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:  imlib2-devel
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  termcap-devel
BuildRequires:  libgc-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%define _requires_exceptions        perl(w3mhelp-.*)

%description
W3m is a text-based web browser as well as a pager like `more' or
`less'. With w3m you can browse web pages through a terminal emulator
window (xterm, rxvt or something like that). Moreover, w3m can be used
as a text formatting tool which typesets HTML into plain text. w3m also
provides w3mman which is a great manpage browser.

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch4 -p1 -b .literal
%patch5 -p1 -b .file_handle
%patch6 -p1 -b .gc
%patch7 -p1 -b .x11

%{__cp} -a %{SOURCE2} w3mconfig

%build
sed -i s/showaudio/mplayer/ config.h.in

%{configure2_5x} \
                --with-browser=%{_bindir}/www-browser \
                --with-editor=%{_bindir}/vi \
                --with-mailer=/bin/mail \
                --with-termlib=ncurses \
                --enable-alarm \
                --enable-ansi-color \
                --enable-bgcolor \
                --enable-color \
                --enable-cookie \
                --enable-dict \
                --enable-digest-auth \
                --enable-external-uri-loader \
                --enable-gopher \
                --enable-help-cgi \
                --enable-history \
                --enable-image \
                --enable-ipv6 \
                --disable-japanese \
                --enable-keymap=w3m \
                --enable-menu \
                --enable-mouse \
                --enable-nntp \
                --enable-sslverify \
                --enable-w3mmailer \
                --disable-xface \
                --enable-m17n \
                --enable-unicode \
                --with-charset=UTF-8

make

%install
rm -rf %{buildroot}

install -d %{buildroot}/{%{_bindir},{%{_datadir},%{_libdir}}/%{name},%{_mandir}/{,ja_JP.ujis}/man1}

%{makeinstall_std}

install -m0644 doc-jp/w3m.1 %{buildroot}/%{_mandir}/ja_JP.ujis/man1
install -m0644 doc/w3m.1 %{buildroot}/%{_mandir}/man1

install -d %{buildroot}%{_sysconfdir}/w3m
install -m0644 w3mconfig %{buildroot}%{_sysconfdir}/w3m/config

rm -rf %{buildroot}/%{_mandir}/ja*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README doc doc-jp w3mhelp-lynx_*
%dir %{_sysconfdir}/w3m
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/w3m/config
%attr(0755,root,root) %{_bindir}/*
%{_libexecdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.5.3-5.mga4
+ Revision: 520076
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5.3-4.mga3
+ Revision: 385586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 0.5.3-3.mga3
+ Revision: 337874
- Fix for _libdir != _libexecdir

* Sun Dec 02 2012 pterjan <pterjan> 0.5.3-2.mga3
+ Revision: 324879
- Use system libgc
- Link against libx11 explicitly as we are using a symbol
- Fix name conflict
- Drop useless BuildRequires on ungif-devel, it has never been used directly

* Sun Sep 25 2011 pterjan <pterjan> 0.5.3-1.mga2
+ Revision: 147802
- Drop obsolete scriptlets
- Update to 0.5.3
- Fix sys_errlist test instead of removing it
- Update to 0.5.3
- Fix sys_errlist test instead of removing it

* Sun May 15 2011 pterjan <pterjan> 0.5.2-11.mga1
+ Revision: 99039
- Rebuild for fixed find-requires

* Sat Apr 30 2011 misc <misc> 0.5.2-10.mga1
+ Revision: 93814
- increase release to match the one of Mandriva
- document patches

* Sun Mar 06 2011 saispo <saispo> 0.5.2-1.mga1
+ Revision: 65219
- Fix imlib BuildRequires
- imported package w3m

